This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764922 - (GLUSTER-3190) gluster volume info {volname} clients - list the clients attached to a volume
gluster volume info {volname} clients - list the clients attached to a volume
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-07-19 01:31 EDT by Joe Julian
Modified: 2013-12-18 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2011-07-19 01:31:10 EDT
Add "clients" command to list the clients attached to a volume.

It would be handy to have a command that would show the clients attached to a volume. As it is now, I find the port on a server that a volume is listening on and look at netstat for connections.
Comment 1 Vikas Gorur 2011-07-19 08:34:07 EDT
This would be a great feature. But perhaps this syntax would be more logical:

# gluster volume info <volname> clients
Comment 2 Joe Julian 2011-07-19 09:17:52 EDT
agreed
Comment 3 Vikas Gorur 2011-07-19 09:24:29 EDT
Ah!

I didn't notice that the bug's title has the same syntax :-)
Comment 4 Amar Tumballi 2012-02-18 02:43:05 EST
present in upstream as 'volume status <VOLNAME> clients'
Comment 5 Anush Shetty 2012-05-19 01:08:10 EDT
Verified with release-3.3 (commit-id 0cdb1d147afd644153855f6557bf7e809e5444f0)

# gluster volume status test2 clients
Client connections for volume test2
----------------------------------------------
Brick : shortwing:/falcon/d1
Clients connected : 2
Hostname                                               BytesRead    BytesWritten
--------                                               ---------    ------------
127.0.0.1:1016                                              1856            1400
127.0.0.1:1011                                          41525807          900240
----------------------------------------------
Brick : shortwing:/falcon/d2
Clients connected : 2
Hostname                                               BytesRead    BytesWritten
--------                                               ---------    ------------
127.0.0.1:1015                                              1528            1120
127.0.0.1:1010                                          48378635          915184
----------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.